Freedome cannot be installed at this location

Highlighted
Novice

Freedome cannot be installed at this location

Not sure if this is the right place to ask. I am stuck at installation time before even get to using Freedome. 


The installation wizard tells me at the 3rd step (select location) that "Freedome cannot be installed at this location". All three location options are deactivated/grayed out. 


Mac OS version 10.9.5

 

What could be the reason? 

Thankful for any hints!

 

 

 

1 ACCEPTED SOLUTION

Accepted Solutions
Moderator

Re: Freedome cannot be installed at this location

Hello @Fero,

 

It seems you are using an older version of Mac OS 10.9.5. Our current version of F-secure Freedome does support Mac OS X 10.10 and later.

View solution in original post

1 REPLY 1
Moderator

Re: Freedome cannot be installed at this location

Hello @Fero,

 

It seems you are using an older version of Mac OS 10.9.5. Our current version of F-secure Freedome does support Mac OS X 10.10 and later.

View solution in original post